import { Construct } from 'constructs';
import { FunctionAlarms, FunctionAlarmsOptions } from './function-alarms';
import { FunctionDeployment } from './function-deployment';
import { DeployedFunctionOptions } from './extended-function';
import { NodejsFunction, NodejsFunctionProps } from 'aws-cdk-lib/aws-lambda-nodejs';
/**
 * Properties for ExtendedNodejsFunction.
 */
export interface ExtendedNodejsFunctionProps extends NodejsFunctionProps, FunctionAlarmsOptions, DeployedFunctionOptions {
    /**
     * Whether to use ESM (ECMAScript Modules) for bundling. This will add ESM options to the bundling configuration and allows for functionality such as top level awaits.
     */
    readonly esm?: boolean;
}
export declare class ExtendedNodejsFunction extends NodejsFunction {
    readonly alarms: FunctionAlarms;
    readonly deployment?: FunctionDeployment;
    private static findDepsLockFile;
    constructor(scope: Construct, id: string, props: ExtendedNodejsFunctionProps);
}
